Package net.sf.saxon.value

## Class StringValue.Builder

- java.lang.Object
- - net.sf.saxon.value.StringValue.Builder

- All Implemented Interfaces:
    `CharSequenceConsumer`
  Enclosing class:
    StringValue

      public static final class StringValue.Builder
      extends java.lang.Object
      implements CharSequenceConsumer

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Builder()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `CharSequenceConsumer` | `cat​(char c)` | Process a single character.
    `CharSequenceConsumer` | `cat​(java.lang.CharSequence chars)` | Process a supplied character sequence
    `StringValue` | `getStringValue()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface net.sf.saxon.tree.util.CharSequenceConsumer

      `close, open`

- - ### Constructor Detail

    - #### Builder

          public Builder()

  - ### Method Detail

    - #### cat

          public CharSequenceConsumer cat​(java.lang.CharSequence chars)

      Description copied from interface: `CharSequenceConsumer`
      Process a supplied character sequence
      Specified by:
        `cat` in interface `CharSequenceConsumer`
      Parameters:
        `chars` - the characters to be processed
      Returns:
        this CharSequenceConsumer (to allow method chaining)

    - #### cat

          public CharSequenceConsumer cat​(char c)

      Description copied from interface: `CharSequenceConsumer`
      Process a single character. The default implementation invokes `CharSequenceConsumer.cat(CharSequence)`.
      Specified by:
        `cat` in interface `CharSequenceConsumer`
      Parameters:
        `c` - the character to be processed
      Returns:
        this CharSequenceConsumer

    - #### getStringValue

          public StringValue getStringValue()